import { db } from "$lib/server/db";
import * as table from "$lib/server/db/schema"

export const GET = async () => {
  const data = await db.select({ date: table.sensorData.time, temp: table.sensorData.temperature, pressure: table.sensorData.pressure }).from(table.sensorData);
  console.log(data);

  return new Response(JSON.stringify(data), {
    headers: {
      "Content-Type": "application/json"
    }
  });
}
